solarOSsolarOS Docs

Update an unresolved Service Appointment issue

Updates issueType or notes. Resolved issues return a lifecycle conflict.

PATCH
/service-appointments/{id}/issues/{issueId}

Updates issueType or notes. Resolved issues return a lifecycle conflict.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Service Appointment identifier returned by the Organization API.

issueId*string

ISSUE ID path identifier.

Request Body

application/json

JSON request payload for updateServiceAppointmentIssue.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/service-appointments/string/issues/string" \  -H "Content-Type: application/json" \  -d '{    "notes": "Property manager approval is pending."  }'
{  "data": {},  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}